# frozen_string_literal: true

RSpec.configure do |config|
  # Check that random order is in use and halt the execution if not
  config.before(:suite) do
    next if config.ordering_manager.ordering_registry.fetch(:global).is_a?(RSpec::Core::Ordering::Random)

    warn <<~MSG
      Random tests order must be used with Flakon.

      Add the following line to your RSpec configuration:
        config.order = :random
    MSG
    exit(1)
  end
end
